Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Get object type with statuses and custom fields (admin)

GET/object-types/{id}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Responses
200
createdAtstringrequired
customFieldsObjectCustomFieldInTypeDto[]required
Show properties
Array of ObjectCustomFieldInTypeDto
descriptionstringrequired
idstringrequired
namestringrequired
objectTypeIdstringrequired
selectOptionsany[]required
showInHeaderbooleanrequired
showInListbooleanrequired
sortnumberrequired
translationsany[]required
typestringrequired
iconobject | nullrequired
idstringrequired
namestringrequired
slugstringrequired
sortnumberrequired
statusesObjectStatusDto[]required
Show properties
Array of ObjectStatusDto
colorstringrequired
createdAtstringrequired
idstringrequired
namestringrequired
sortnumberrequired
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/object-types/string" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "createdAt": "string",
  "customFields": [
    {
      "description": "string",
      "id": "string",
      "name": "string",
      "objectTypeId": "string",
      "selectOptions": [
        null
      ],
      "showInHeader": true,
      "showInList": true,
      "sort": 0,
      "translations": [
        null
      ],
      "type": "string"
    }
  ],
  "icon": {},
  "id": "string",
  "name": "string",
  "slug": "string",
  "sort": 0,
  "statuses": [
    {
      "color": "string",
      "createdAt": "string",
      "id": "string",
      "name": "string",
      "sort": 0
    }
  ]
}